# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "siloka"
version = "0.1.0-alpha.0"
authors = ["Adhidarma Hadiwinoto <adhisimon@tektrans.id>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Object storage with on the fly erasure coding and easy expansion"
readme = "README.md"
keywords = [
    "object-storage",
    "s3",
    "erasure-coding",
    "distributed-systems",
]
categories = [
    "filesystem",
    "network-programming",
]
license = "Apache-2.0"
repository = "https://github.com/adhisimon/siloka"

[package.metadata.release]
push = true
push-tags = true
sign-commit = true

[[bin]]
name = "siloka"
path = "src/main.rs"

[dependencies]
